Bug 245129 - Build of gzip fails with futimens() syntax error
Summary: Build of gzip fails with futimens() syntax error
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gzip (Show other bugs)
(Show other bugs)
Version: 7
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-21 09:59 UTC by Steve Snyder
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.3.11-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-28 01:53:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Snyder 2007-06-21 09:59:50 UTC
Description of problem:

Build of gzip package fails with futimens() syntax error.

Version-Release number of selected component (if applicable):

gzip-1.3.11-1.fc7.src.rpm

How reproducible:

Always

Steps to Reproduce:

1. rpmbuild --rebuild gzip-1.3.11-1.fc7.src.rpm
2.
3.
  
Actual results:
gcc -std=gnu99 -DHAVE_CONFIG_H -I.   -DHAVE_LSTAT  -O2 -g -pipe -Wall -Wp,-
D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -
m32 -march=pentium4 -fomit-frame-pointer -fasynchronous-unwind-tables -MT 
utimens.o -MD -MP -MF .deps/utimens.Tpo -c -o utimens.o utimens.c
In file included from ./sys/stat.h:28,
                 from ./fcntl.h:27,
                 from utimens.c:30:
///usr/include/sys/stat.h:370: error: conflicting types for 'futimens'
utimens.h:2: error: previous declaration of 'futimens' was here
utimens.c: In function 'utimens':
utimens.c:188: warning: passing argument 2 of 'futimens' from incompatible 
pointer type
utimens.c:188: error: too many arguments to function 'futimens'
make[2]: *** [utimens.o] Error 1
make[2]: Leaving directory `/home/rpmbuild/rpmbuild/BUILD/gzip-1.3.11/lib'


Expected results:

No compile errors.

Additional info:

Seen on a fully-updated Fedora7 system.

Comment 1 Fedora Update System 2007-06-28 01:53:28 UTC
gzip-1.3.11-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.